Abbey's Autoloader 1.0

Operating systemsOS : Windows / Linux / Mac OS / BSD / Solaris
Program licensingScript Licensing : BSD - BSD License
CreatedCreated : Apr 3, 2009
Size downloadDownloads : 1
Program licensing
Thank you for voting...

What this means is that when an autoload happens, the ...

What this means is that when an autoload happens, the loader will prefer the declarations that occurred in the file the autoload_event happened in, and only afterwards default to the global scope.
In the event a class definition cannot be loaded, a dummy class is passed back into the execution context which throws an error during construction. This allows class definition errors to be caught as well as delivering their stacktrace.
An _import() function, that uses a Java-like syntax, is included because the scope allows the use of packages and namespaces. It currently enforces a '< name> . class. php' naming convention for autoloaded classes.
Demands:
• PHP 5. 0 or higher

Abbey's Autoloader 1.0 scripting tags: autoload, scope, class, autoload scope, abbeys autoloader, event, definition, autoload event, class autoload. What is new in Abbey's Autoloader 1.0 software script? - Unable to find Abbey's Autoloader 1.0 news. What is improvements are expecting? Newly-made Abbey's Autoloader 1.1 will be downloaded from here. You may download directly. Please write the reviews of the Abbey's Autoloader. License limitations are unspecified.